Signals / REST API
Add signal to campaign
Add a signal to a campaign to auto-enroll matching prospects.
POST /api/signals/{signalId}/add-to-campaignDeterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
signalIdRequired · string- See the input schema for this field.
campaignIdRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/signals/00000000-0000-4000-8000-000000000000/add-to-campaign" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"campaignId":"00000000-0000-4000-8000-000000000000"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"signalId": {
"type": "string"
},
"campaignId": {
"type": "string"
}
},
"required": [
"signalId",
"campaignId"
]
}